Subject: [FFML] [Naruto] [One Xover Character] [AU] Naruto's Great Journey

From: "Cute Neko Hibiki" <[email-masked]>
Date: Mon, 16 Apr 2007 22:33:54 -0500

Disclaimer : Naruto is owned by... well I don't know who it's owned by, but 
it's not me. The crossover character is not owned by me. She's owned by... 
someone else who's in another country now.

This fic is written purely for fun, and is -not- to be taken seriously.

Naruto's Great Journey

by

Cute Neko Hibiki

 'Man.' thought Naruto. 'If this works like I think it should, I'll be so 
famous! They'll have no choice but to acknowledge my existence!'

 Naruto did the hand seals of the new jutsu he had created. It had taken him 
months, but he finally built it.

 'Won't they be surprised when they see my new jutsu, the first 
teleportation-to-another-distant-village jutsu! Cross hundreds of miles in 
just one minute!' he thought quite gleefully.

 However, his distraction proved his undoing. Naruto was so gleeful and 
distracted, that he missed one of the hand seals, putting a more powerful 
one in it's place.

 'Some... Some... ... ... Something's wrong!' he thought.

 "OH MY GOD!" screamed the Kyuubi. "WHAT HAVE YOU DONE!!! YOU STUPID, 
IGNORANT BRAT!"

 Instead of teleporting to another village, Naruto was sucked into a blue 
whirlpool of energy.

***

Another world, another time

 Naruto fell out of the blue whirlpool of energy. He looked around.

 He was someplace... weird. The folks he saw were dressed strangely, in 
clothes that he found to be... weird. And considering how he dressed, that 
was saying allot.

 He tried to push his way though the crowd, but there were too many. Just as 
he was about to unleash a rasengan to clear the way, he noticed the people 
off to the side of the path were naked... and obviously enjoying it too. His 
rasengan dissipated as he gaped.

 'What the hell?!' he thought. 'What is everyone doing naked... OH MY GOD! 
They're perverts! I'm in pervert land!'

 "Where am I?" shouted Naruto.

 "Where are any of us? We are here yet, if we believed we were elsewhere 
would we be?" a young man asked him.

 Naruto stared at him and went... "Huh?"

 "It's all good." said the strange man. He looked thoughtful for a moment. 
"Except the bad parts. Those aren't good."

 Naruto wondered how he would get away from the crazy man.

 "My name is Stars Of The Heaven." said the man. "Peace. And you are who 
now?"

 "My name is Naruto Uzumaki!" said Naruto full of youthful flames.

 "Well my friend, what brings you to the festival of love?" asked Stars.

 "My teleportation went wrong and I wound up here." said Naruto.

 Stars nodded, and said "Yeah, it's a real bummer when transportation breaks 
down. Come with me. I have friends to meet."

 Stars dragged Naruto along to a pavilion. They went inside. It was 
spacious.

 Inside were a blonde girl (looking at a flower and humming softly), a 
brown-haired boy (wearing a shirt that said 'Sex is better than killing' and 
singing softly to himself), and a green-haired girl with red eyes, and 
practically no clothing.

 Stars said "Hey everyone, this is Naruto. His transportation broke down, so 
he'll be staying with us awhile. Say hi to him now."

 "Hello." said the blonde. "My name is Moonlight."

 "Like, peace man." said the brown-haired boy. "My name is Bright Earth."

 "Love is good." said the green-haired girl. "My name is Starshine."

 "Hey, like, have some brownies." said Starshine.

 Naruto ate a brownie, and then another, and then another too.

 "Man." said Naruto a few minutes later. "I feel good. What kind of brownies 
are those anyway?"

 Starshine smiled, and said "They're mellow brownies."

***

Konoha, present time

 Naruto smiled as he and his companion stepped into his village. It felt 
good to be back after so long. It had taken a year, but he'd made it back 
again.

 Naruto led the way, and his companion followed.

 "Hey sensei!" yelled Naruto. "Glad to see me again?"

 Kakashi spluttered the ramen he was eating, and whirled around.

 "NARUTO!" he yelled. "Where the hell have you been! We've been looking for 
you for a year!"

 "I had a little trouble with a jutsu, and it left me stranded." said 
Naruto.

 "And who is your friend?" asked Kakashi, pointing at his companion.

 Naruto said "This is my companion. I met her while stranded. She helped me 
out allot."

 Kakashi looked at the girl. She had green hair, red eyes, wore little 
clothing, and had a... flower painted on her right cheek.

 'What... a flower?! I don't remember any Village Of Hidden Flower. And with 
how little she's wearing... just -what- kind of companion is she to Naruto?' 
he thought.

 "But what's her name? She does have one, right, hmmm?" asked Kakashi.

 The girl looked attentive, and was about to answer him...

 Just then Sasuke burst into the clearing.

 "NARUTO! I demand you fight me! Show me how much stronger you are!" he 
roared.

 "I can't fight you." said Naruto.

 "HUH?! WHY THE HELL NOT YOU LITTLE SHITHEAD!" screamed Sasuke.

 "Because I've given up being a ninja." said Naruto.

 "WHAT?!" everyone screamed.

 "Violence is not the way, so I have given up being a ninja." said Naruto. 
"I embrace the ways of love and peace now. 'Make love, not war', that's what 
I say." explained Naruto.

 The girl just nodded, and looked proud of him.

 "NARUTO, FIGHT ME!" screamed Sasuke.

 "Geeze man, mellow out." said Naruto. "Now, before you interrupted, my 
companion was about to introduce herself. Please be quiet, and let her now."

 "Like, hello there." said the girl. "Like, groovy village you have here. 
Like, it's totally awesome. I'm like, Naruto's girlfriend, Starshine. I 
like, have another name too, it's Setsuna Meioh."

The End Of Little Spamfic

             .---Anime/Manga Fanfiction Mailing List----.
             | Administrators - [email-masked] |
             | Unsubscribing - [email-masked] |
             |     Put 'unsubscribe' in the subject     |
             `------- http://ffml.zre.ca/faq.txt -------'